// # Source: https://github.com/sudojia/AutoTaskScript/blob/script/src/utils/initScript.js
// # Raw: https://raw.githubusercontent.com/sudojia/AutoTaskScript/script/src/utils/initScript.js
// # Repo: sudojia/AutoTaskScript
// # Path: src/utils/initScript.js
// # UploadedAt: 2025-04-28T19:26:13+08:00
// # SHA256: af55b58a4961b7c59e3597f4114df7145361ea284efde3929ac95b40c2ca1382
// # Category: APP版/抓包
// # Evidence: cookie/token/authorization/header
// 

module.exports = (appName) => {
    const Env = require('./env');
    const $ = new Env(appName);
    const notify = $.isNode() ? require('./sendNotify') : '';
    const sudojia = require('./common');
    const checkUpdate = require('./envCheck');
    return {$, notify, sudojia, checkUpdate};
};